SSTableScanner (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.io.sstable

## Class SSTableScanner

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableScanner

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<OnDiskAtomIterator>, ICompactionScanner, CloseableIterator<OnDiskAtomIterator>

      public class SSTableScanner
      extends java.lang.Object
      implements ICompactionScanner

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `SSTableScanner.KeyScanningIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RandomAccessReader` | `dfile`
    `protected RandomAccessReader` | `ifile`
    `protected java.util.Iterator<OnDiskAtomIterator>` | `iterator`
    `SSTableReader` | `sstable`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.lang.String` | `getBackingFiles()`
    `long` | `getCurrentPosition()`
    `long` | `getLengthInBytes()`
    `boolean` | `hasNext()`
    `OnDiskAtomIterator` | `next()`
    `void` | `remove()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dfile

          protected final RandomAccessReader dfile

    - #### ifile

          protected final RandomAccessReader ifile

    - #### sstable

          public final SSTableReader sstable

    - #### iterator

          protected java.util.Iterator<OnDiskAtomIterator> iterator

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

    - #### getLengthInBytes

          public long getLengthInBytes()

      Specified by:
        `getLengthInBytes` in interface `ICompactionScanner`

    - #### getCurrentPosition

          public long getCurrentPosition()

      Specified by:
        `getCurrentPosition` in interface `ICompactionScanner`

    - #### getBackingFiles

          public java.lang.String getBackingFiles()

      Specified by:
        `getBackingFiles` in interface `ICompactionScanner`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<OnDiskAtomIterator>`

    - #### next

          public OnDiskAtomIterator next()

      Specified by:
        `next` in interface `java.util.Iterator<OnDiskAtomIterator>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<OnDiskAtomIterator>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation